#! /usr/bin/php
<?php
	echo   "false: 300\r\n";
	echo   "server: Webserv/0.2\r\n";
	echo   "Status: 300\r\n";
	echo "\r\n";
	echo "BEGIN PHP-CGI\n-----------\n\n";
	echo   "AUTH_TYPE:         " . getenv("AUTH_TYPE");
	echo "\nCONTENT_LENGTH:    " . getenv("CONTENT_LENGTH");
	echo "\nCONTENT_TYPE:      " . getenv("CONTENT_TYPE");
	echo "\nGATEWAY_INTERFACE: " . getenv("GATEWAY_INTERFACE");
	echo "\nPATH_INFO:         " . getenv("PATH_INFO");
	echo "\nPATH_TRANSLATED:   " . getenv("PATH_TRANSLATED");
	echo "\nQUERY_STRING:      " . getenv("QUERY_STRING");
	echo "\nREMOTE_ADDR:       " . getenv("REMOTE_ADDR");
	echo "\nREMOTE_HOST:       " . getenv("REMOTE_HOST");
	echo "\nREMOTE_IDENT:      " . getenv("REMOTE_IDENT");
	echo "\nREMOTE_USER:       " . getenv("REMOTE_USER");
	echo "\nREQUEST_METHOD:    " . getenv("REQUEST_METHOD");
	echo "\nSCRIPT_NAME:       " . getenv("SCRIPT_NAME");
	echo "\nSERVER_NAME:       " . getenv("SERVER_NAME");
	echo "\nSERVER_PORT:       " . getenv("SERVER_PORT");
	echo "\nSERVER_PROTOCOL:   " . getenv("SERVER_PROTOCOL");
	echo "\nSERVER_SOFTWARE:   " . getenv("SERVER_SOFTWARE");
	echo "\nREDIRECT_STATUS:   " . getenv("REDIRECT_STATUS");

//	echo $_POST['REQUEST_METHOD'];
	echo "\n\n-----------\nEND PHP-CGI\n\n";
?>
